\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 431 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item Let $e_G$ be the identity of $G$, and $e_{S}$ be the identity of $S_X$. Then $\forall x \in X$ \begin{align*}
		e_G * x &= \varphi(e_G)(x) \\
				&= e_Sx \tag{Group homomorphisms preserve identities} \\
				&= x \tag{$e_S$ is the identity of $S_X$}
		\end{align*}
	Also, let $g$ and $h$ be elements of $G$. Then $\forall x \in X$ \begin{align*}
		(gh) * x &= \varphi(gh)(x) \\
				 &= (\varphi(g)\varphi(h))(x) \tag{Group homomorphisms preserve operations} \\
				 &= \varphi(g)(\varphi(h)(x)) \tag{Group operations are associative} \\
				 &= \varphi(g)(h * x) \\
				 &= g * (h * x)
		\end{align*}
	As these two properties hold, $*$ is a group action. \pend
	\item $e$ is the identity of $G$.
	 \begin{enumerate}[1.]
		\item $\forall A \in \wp(X)$ \begin{align*}
			e \oast A &= \{e * a | a \in A \} \\
			&= \{a | a \in A \} \tag{$*$ is a group action} \\
			&= A
			\end{align*}
		Also, let $g$ and $h$ be elements of $G$. Then $\forall A \in \wp(X)$ \begin{align*}
			(gh) \oast A &= \{(gh) * a | a \in A \} \\
			&= \{g * (h * a) | (h * a) \in A \} \tag{$*$ is a group action} \\
			&= g \oast \{h * a | a \in A \} \tag{Definition of \oast} \\
			&= g \oast (h \oast A)
			\end{align*}
		As these two properties hold, \oast{} is a group action. \pend
		\item $\forall \ideal{y, x} \in Y \times X$ \begin{align*}
			e *_Y \ideal{y, x} &= \ideal{y, e * x} \\
			&= \ideal{y, x} \tag{$*$ is a group action}
			\end{align*}
		Also, let $g$ and $h$ be elements of $G$. Then $\forall \ideal{y, x} \in Y \times X$ \begin{align*}
			(gh) *_Y \ideal{y, x} &= \ideal{y, (gh) * x} \\
			&= \ideal{y, g * (h * x)} \tag{$*$ is a group action} \\
			&= g *_Y \ideal{y, h * x} \tag{Definition of $*_Y$} \\
			&= g *_Y (h *_Y \ideal{y,x})
			\end{align*}
		As these two properties hold, $*_Y$ is a group action. \pend
		\item $\forall f \in{} ^XY$ \begin{align*}
			*^{Y}(e, f) &= x \mapsto f(e^{-1}x) \\
			&= x \mapsto f(x) \tag{$e$ is identity} \\
			&= f
		\end{align*}
		Also, let $g$ and $h$ be elements of $G$. Then $\forall f \in{} ^XY$ \begin{align*}
			((gh)f)(x) &= f((gh)^{-1}x) \\
			&= f((h^{-1}g^{-1})x) \\
			&= f(h^{-1}(g^{-1}x)) \\
			&= (hf)(g^{-1}x) \\
			&= (g(hf))(x)
		\end{align*}
		As these two properties hold, $*^Y$ is a group action.
	\end{enumerate}
	\item Let $e_G$ be the identity of $G$, and $e_H$ be the identity of $H$. Then \begin{align*}
	e_H * x &= f(e_H)x \\
	&= e_Gx \tag{Group homomorphisms preserve identity}\\
	&= x
		\end{align*}
	Also, let $g$ and $h$ be elements of $H$. Then \begin{align*}
	(gh) * x &= f(gh)x \\
	&= (f(g)f(h))x \tag{Group homomorphisms preserve operations} \\
	&= f(g)(f(h)x) \tag{Group operations are associative}\\
	&= g * (f(h)x) \\
	&= g * (h * x)
		\end{align*}
	As these two properties hold, $*$ is a group action. \pend
	\item In the tableau, line $i$ is stabilised by $S_{\lambda_i}$. Therefore the size of $\scr{Y}_{\lambda}$ is \begin{displaymath}\frac{n!}{\displaystyle\prod_{i=1}^{n}\lambda_i!}\end{displaymath}
	\item $G$ is $D_7$. $X$ is the set of beads, and $Y$ is the set of colours. We are considering the $G$-actions on $^XY$.
	\[\begin{tabular}{cccl}
		type & $\varphi$ & $K$ & from \\ \hline
		\tuple{1,3,0,0,0,0,0} & 7 & $8^4$ & reflections \\
		\tuple{0,0,0,0,0,0,1} & 6 & $8^1$ & rotations (7-cycles) \\
		\tuple{7,0,0,0,0,0,0} & 1 & $8^7$ & identity
	\end{tabular}\]
	So the number of distinguishable necklaces we end up with is \begin{displaymath}\frac{1}{14}[7 \cdot 8^4 + 6 \cdot 8^1 + 1 \cdot 8^7]\end{displaymath}
	If there were $q$ colours, the number of distinguishable necklaces we would end up with is \begin{displaymath}\frac{1}{14}[7q^4 + 6q + q^7]\end{displaymath}
	In the general case, ie $n$ beads, there are two cases: \begin{enumerate}
		\item $n$ is odd. In this case, the following types are realised:
			\[\begin{tabular}{cccl}
			type & $\varphi$ & $K$ & from \\ \hline
			\tuple{1,\frac{n-1}{2},0,\dots,0} & $n$ & $q^{\frac{n+1}{2}}$ & reflections \\
			\tuple{0, \dots, \frac{n}{k}, \dots, 0} & $\phi(k)$ & $q^\frac{n}{k}$ & rotations (when $k|n$)
			\end{tabular}\]
		In the type for the rotations, $\frac{n}{k}$ is in the $k$-th position, and $\phi$ is the Euler-phi (totient) function. \\
		So the number of distinguishable necklaces is \[ \frac{1}{2n}\left(nq^{\frac{n+1}{2}} + \displaystyle\sum_{k|n}\phi(k)q^{\frac{n}{k}}\right) \]
		\item $n$ is even. In this case, the following types are realised:
			\[\begin{tabular}{cccl}
			type & $\varphi$ & $K$ & from \\ \hline
			\tuple{0, \dots, \frac{n}{k}, \dots, 0} & $\phi(k)$ & $q^{\frac{n}{k}}$ & rotations (when $k|n$) \\
			\tuple{2, \frac{n-2}{2}, 0, \dots, 0} & $\frac{n}{2}$ & $q^{\frac{n+2}{2}}$ & reflections through points \\
			\tuple{0, \frac{n}{2}, 0, \dots, 0} & $\frac{n}{2}$ & $q^{\frac{n}{2}}$ & reflections through gaps
			\end{tabular}\]
		In the type for the rotations, $\frac{n}{k}$ is in the $k$-th position, and $\phi$ is the Euler-phi (totient) function. \\
		So the number of distinguishable necklaces is \[ \frac{1}{2n}\left(\frac{n}{2}\left(q^{\frac{n}{2}} + q^{\frac{n+2}{2}}\right) + \displaystyle\sum_{k|n}\phi(k)q^{\frac{n}{k}}\right) \]
		\end{enumerate}

	\item $G$ is a group of order 24, $X$ is the set of vertices and $Y$ is the set of colours. We get the following types:
	\[\begin{tabular}{cccl}
	type & $\varphi$ & $K$ & from \\ \hline
	\tuple{8,0,0,0,0,0,0,0} & 1 & $9^8$ & identity \\
	\tuple{2,0,2,0,0,0,0,0} & 8 & $9^4$ & axis through opposite corners \\
	\tuple{0,4,0,0,0,0,0,0} & 6 & $9^4$ & axis through opposite edges \\
	\tuple{0,4,0,0,0,0,0,0} & 3 & $9^4$ & half turn for axis through opposite faces \\
	\tuple{0,0,0,2,0,0,0,0} & 6 & $9^2$ & axis through opposite faces
	\end{tabular}\]
	So the number of distinguishable cubes we end up with is \begin{displaymath}\frac{1}{24}[1 \cdot 9^8 + 8 \cdot 9^4x + 6 \cdot 9^4 + 3 \cdot 9^4 + 6 \cdot 9^2]\end{displaymath}
	\item Let $e_\scr{G}$ and $e_\scr{H}$ be the identity elements of \scr{G} and \scr{H} respectively. Then $\forall \ideal{h,g} \in \scr{H} \times \scr{G}$: \begin{align*}
	\ideal{e_\scr{H},e_\scr{G}} \oast \ideal{h,g} &= \ideal{e_\scr{H}\lambda(e_\scr{G},h),e_\scr{G}g} \\
	&= \ideal{e_\scr{H}h,e_\scr{G}g} \tag{$\lambda$ is a group action} \\
	&= \ideal{h,g} \tag{$e_\scr{H}$ and $e_\scr{G}$ are identities} \\
	\intertext{And the other direction (as \oast{} is not necessarily commutative)}
	\ideal{h,g} \oast \ideal{e_\scr{H},e_\scr{G}} &= \ideal{h\lambda(g,e_\scr{H}),ge_\scr{G}} \\
	&= \ideal{he_\scr{H},ge_\scr{G}} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{h,g} \tag{$e_\scr{H}$ and $e_\scr{G}$ are identities}
	\end{align*}
	So \scr{H} $\times$ \scr{G} has an identity, \ideal{e_\scr{H},e_\scr{G}}. \\
	Next, it needs to be shown that every element in $\scr{H} \times \scr{G}$ has an inverse. As \scr{G} and \scr{H} are groups, every element has an inverse. So, $\forall \ideal{h,g} \in \scr{H} \times \scr{G}$: \begin{align*}
	\ideal{\lambda(g^{-1},h^{-1}),g^{-1}} \oast \ideal{h,g} &= \ideal{\lambda(g^{-1},h^{-1})\lambda(g^{-1},h),g^{-1}g} \\
	&= \ideal{h^{-1}h,g^{-1}g} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{e_\scr{H},e_\scr{G}} \tag{Definition of inverse} \\
	\intertext{And the other direction (as \oast{} is not necessarily commutative)}
	\ideal{h,g} \oast \ideal{\lambda(g^{-1},h^{-1}),g^{-1}} &= \ideal{h\lambda(g,\lambda(g^{-1},h^{-1})),gg^{-1}} \\
	&= \ideal{h(\lambda(g,h^{-1}),gg^{-1}} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{hh^{-1},gg^{-1}} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{e_\scr{H},e_\scr{G}} \tag{Definition of inverse}
	\end{align*}
	So every element in \scr{H} $\times$ \scr{G} has an inverse: $\ideal{h,g}^{-1} = \ideal{\lambda(g^{-1},h^{-1}),g^{-1}}$. \\
	All that remains to be shown is that \oast{} is associative. So, $\forall \ideal{h_1,g_1}, \ideal{h_2,g_2}, \ideal{h_3,g_3} \in \scr{H} \times \scr{G}$: \begin{align*}
	\ideal{h_1,g_1} \oast (\ideal{h_2,g_2} \oast \ideal{h_3,g_3}) &= \ideal{h_1,g_1} \oast \ideal{h_2\lambda(g_2,h_3),g_2g_3} \\
	&= \ideal{h_1\lambda(g_1,h_2\lambda(g_2,h_3)),g_1(g_2g_3)} \\
	&= \ideal{h_1\lambda(g_1,h_2h_3),g_1(g_2g_3)} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{h_1(h_2h_3),g_1(g_2g_3)} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{(h_1h_2)h_3),(g_1g_2)g_3} \tag{Group operations are associative} \\
	&= \ideal{h_1h_2(\lambda(g_1g_2,h_3)),(g_1g_2)g_3} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= \ideal{h_1h_2,g_1g_2} \oast \ideal{h_3,g_3} \\
	&= \ideal{h_1\lambda(g_1,h_2),g_1g_2} \oast \ideal{h_3,g_3} \tag{$\lambda$ is an automorphism of \scr{H}} \\
	&= (\ideal{h_1,g_1} \oast \ideal{h_2,g_2}) \oast \ideal{h_3,g_3}
	\end{align*}
	Therefore \oast{} is associative. \\
	Because these three properties hold, \ideal{\scr{H} \times \scr{G}, \oast} is a group.
	\item \begin{enumerate}[(a)]
		\item If this is an automorphic action by $\mbb{Z}_2$ on \scr{G} then $\forall i \in \mbb{Z}_2$, $g \mapsto ig$ is a group automorphism of \scr{G}. When $i = 0$, $g \mapsto g$, and this is obviously a group automorphism of \scr{G}. When $i = 1$, $g \mapsto g^{-1}$. As \scr{G} is abelian, this is also a group automorphism of \scr{G}, and therefore the action by $\mbb{Z}_2$ on \scr{G} is automorphic.
		\item The order of $C_n \rtimes \mbb{Z}_2$ is $2n$, as is the order of $D_n$, so the groups have the same size. \\
		By definition, $D_n = \{(b,a)\ |\ a^2 = e,\ b^n = e,\ aba^{-1} = b^{-1} \}$. Let $a = \tuple{e,1}$ and $b = \tuple{b,0}$ where $a,b \in C_n \times \mbb{Z}_2$. Then $e = \tuple{e,0}$, $a^{-1} = a$ and $b^{-1} = \tuple{b^{-1},0}$. \begin{align*}
			a^2 &= \tuple{e,1} \oast \tuple{e,1} \\
			&= \tuple{e \cdot \lambda(1,e),1 \cdot 1} \\
			&= \tuple{e \cdot e^{-1}, 0} \\
			&= \tuple{e,0} \\
			&= e
		\end{align*}
		So the first condition holds. \begin{align*}
			b^n &= \tuple{b,0} \oast \tuple{b,0} \oast \cdots \oast \tuple{b,0} \tag{$n$ times} \\
			&= \tuple{b \cdot \lambda(0,b), 0 \cdot 0} \oast \tuple{b,0} \cdots \oast \tuple{b,0} \tag{$n-1$ times} \\
			&= \tuple{b^2, 0} \oast \tuple{b,0} \oast \cdots \oast \tuple{b,0} \tag{$n-1$ times} \\
			&\ \ \ \vdots \\
			&= \tuple{b^{n-1}, 0} \oast \tuple{b,0} \\
			&= \tuple{b^n, 0} \\
			&= \tuple{e, 0} \tag{$b^n = e\ \forall b \in C_n$}
		\end{align*}
		So the second condition holds. \begin{align*}
			aba^{-1} &= (\tuple{e,1} \oast \tuple{b,0}) \oast \tuple{e,1} \\
			&= \tuple{e \cdot \lambda(1,b), 1 \cdot 0} \oast \tuple{e,1} \\
			&= \tuple{e \cdot b^{-1}, 1} \oast \tuple{e,1} \\
			&= \tuple{b^{-1}, 1} \oast \tuple{e,1} \\
			&= \tuple{b^{-1} \cdot \lambda(1,e), 1 \cdot 1} \\
			&= \tuple{b^{-1} \cdot e^{-1}, 0} \\
			&= \tuple{b^{-1}, 0} \\
			&= b^{-1}
		\end{align*}
		So the third condition holds. \\
		As all three conditions hold, and the twp groups have the same order, they must be isomorphic. Therefore $C_n \rtimes \mbb{Z}_2 \cong D_n$. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item If $Z \in \pi(\sigma)$ then $\sigma(Z) = Z$.\\
		Let $A = A_1 \cup \cdots \cup A_q$. If $A_i \in \pi(\sigma)$ then $\sigma (A) = \sigma(\bigcup A_i) = \bigcup \sigma(A_i) = \bigcup A_i = A$. \\
		Conversely, If $A$ is not the union of elements of $\pi(\sigma)$ then there is some $B \in \pi(\sigma)$ such that $B \cap A \neq \es$ and $B \setminus A \neq \es$. Therefore $\exists\ x \in B \cap A$ with either $\sigma(x) \notin A$ or $\sigma^{-1}(x) \notin A$. In both cases, $\sigma(A) \neq A$. \pend
		\item From (a), we know that $\textrm{Stab}(A) = \{ \sigma | A \textrm{ is the union of elements of } \pi(\sigma)\}$. \\
		Let $\tau \in \textrm{Stab}(A)$.
		\item
		\item
	\end{enumerate}
\end{enumerate}

\end{document}